Jmod.ResolutionWarningReason (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs.modules, class: Jmod, class: ResolutionWarningReason

Package org.apache.tools.ant.taskdefs.modules

# Class Jmod.ResolutionWarningReason

java.lang.Object
org.apache.tools.ant.types.EnumeratedAttribute
org.apache.tools.ant.taskdefs.modules.Jmod.ResolutionWarningReason

Enclosing class:
  Jmod

    public static class Jmod.ResolutionWarningReason
    extends EnumeratedAttribute

Permissible reasons for jmod creation to emit warnings.

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.lang.String` | `DEPRECATED` | String value indicating warnings are emitted for modules marked as deprecated (but not deprecated for removal).
  `static java.lang.String` | `INCUBATING` | String value indicating warnings are emitted for modules designated as "incubating" in the JDK.
  `static java.lang.String` | `LEAVING` | String value indicating warnings are emitted for modules marked as deprecated for removal.

  ### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

  `value`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ResolutionWarningReason()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String[]` | `getValues()` | This is the only method a subclass needs to implement.
  `static Jmod.ResolutionWarningReason` | `valueOf​(java.lang.String s)` | Converts a string to a `ResolutionWarningReason` instance.

  ### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

  `containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### DEPRECATED

    public static final java.lang.String DEPRECATED
    String value indicating warnings are emitted for modules marked as deprecated (but not deprecated for removal).
    See Also:
      Constant Field Values

  - ### LEAVING

    public static final java.lang.String LEAVING
    String value indicating warnings are emitted for modules marked as deprecated for removal.
    See Also:
      Constant Field Values

  - ### INCUBATING

    public static final java.lang.String INCUBATING
    String value indicating warnings are emitted for modules designated as "incubating" in the JDK.
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### ResolutionWarningReason

    public ResolutionWarningReason()

- ## Method Details

  - ### getValues

    public java.lang.String[] getValues()
    Description copied from class: `EnumeratedAttribute`
    This is the only method a subclass needs to implement.
    Specified by:
      `getValues` in class `EnumeratedAttribute`
    Returns:
      an array holding all possible values of the enumeration. The order of elements must be fixed so that `indexOfValue(String)` always return the same index for the same value.

  - ### valueOf

    public static Jmod.ResolutionWarningReason valueOf​(java.lang.String s)
    Converts a string to a `ResolutionWarningReason` instance.
    Parameters:
      `s` - string to convert
    Returns:
      `ResolutionWarningReason` instance corresponding to string argument
    Throws:
      `BuildException` - if argument is not a valid `ResolutionWarningReason` value